probe::socket.recvmsg
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.recvmsg — Message being received on socket

## Synopsis

    socket.recvmsg

## Values

`flags`

  Socket flags value

`name`

  Name of this probe

`family`

  Protocol family value

`protocol`

  Protocol value

`size`

  Message size in bytes

`state`

  Socket state value

`type`

  Socket type value

## Context

The message receiver.

## Description

Fires at the beginning of receiving a message on a socket via the `sock_recvmsg` function

Prev | Up | Next
probe::socket.receive | Home | probe::socket.recvmsg.return